# Command: SetDirectory

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    SetDirectory - Change working directory

Synopsis:

    string SetDirectory -> boolean

Examples:

    (/home/MyName) SetDirectory -> Commands like ofstream,
      FileNames etc. take
      /home/MyName as a default.
      (..) SetDirectory	 -> Flip to parent directory.

Description:

    Changes the working directory to the given argument,
      e.g. the value of '.' in the UNIX world.

Parameters:

    string : The new working directory.
      boolean: A flag if operation succeded.

Bugs:

    -

Remarks:

Author:

    Hehl

FirstVersion:

    Oct 12th 1999

SeeAlso:

- FileNames
- Directory
- MakeDirectory
- RemoveDirectory
- cd
- ls

Source:

    /opt/conda/conda-bld/nest_1510213973486/work/nest-2.14.0/lib/sli/filesystem.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative